searchNodes=[{"doc":"Playwright module provides functions to launch a Playwright.Browser . The following is a typical example of using Playwright to drive automation. Example alias Playwright . { Browser , Page , Response } browser = Playwright . launch ( :chromium ) assert Browser . new_page ( browser ) |&gt; Page . goto ( &quot;http://example.com&quot; ) |&gt; Response . ok ( ) Browser . close ( browser )","ref":"Playwright.html","title":"Playwright","type":"module"},{"doc":"Launch an instance of Playwright.Browser of the default client type (:chromium).","ref":"Playwright.html#launch/0","title":"Playwright.launch/0","type":"function"},{"doc":"Launch an instance of Playwright.Browser given a client type.","ref":"Playwright.html#launch/1","title":"Playwright.launch/1","type":"function"},{"doc":"The web client type used for launch and connect functions.","ref":"Playwright.html#t:client/0","title":"Playwright.client/0","type":"type"},{"doc":"","ref":"Playwright.html#t:t/0","title":"Playwright.t/0","type":"type"},{"doc":"Configuration for Playwright. Overview config :playwright , ConnectOptions , [ ... ] config :playwright , LaunchOptions , [ ... ] config :playwright , PlaywrightTest , [ ... ] Details for ConnectOptions Configuration for connecting to a running Playwright browser server over a WebSocket. ws_endpoint (required) A browser websocket endpoint to which the runner will connect. This option is required when using the :driver transport to communicate with a Playwright browser server. e.g., config :playwright , ConnectOptions , ws_endpoint : &quot;ws://localhost:3000/playwright&quot; Details for LaunchOptions Configuration for Playwright browser server launch commands. args (optional) Additional arguments to pass to the browser instance. The list of Chromium flags may be found online . e.g., config :playwright , LaunchOptions , args : [ &quot;--use-fake-ui-for-media-stream&quot; , &quot;--use-fake-device-for-media-stream&quot; ] channel (optional) Browser distribution channel for Chromium. Supported values are: chrome chrome-beta chrome-dev chrome-canary msedge msedge-beta msedge-dev msedge-canary Read more about using Google Chrome and Microsoft Edge online . e.g., config :playwright , LaunchOptions , channel : &quot;chrome&quot; chromium_sandbox (optional) Enable Chromium sandboxing. Defaults to false . e.g., config :playwright , LaunchOptions , chromium_sandbox : true devtools (optional) With Chromium, specifies whether to auto-open a &quot;Developer Tools&quot; panel for each tab. If this option is true , the headless option will be set to false . Defaults to false . e.g., config :playwright , LaunchOptions , devtools : true headless (optional) Specifies whether to run the browser in &quot;headless&quot; mode. See: headless Chromium headless Firefox Defaults to true unless the devtools option is true . e.g., config :playwright , LaunchOptions , headless : false # e.g., see a browser window pop up in &quot;dev&quot;. downloads_path (optional) WARNING: not yet implemented If specified, accepted downloads are written to this directory. Otherwise, a temporary directory is created and is removed when the browser is closed. e.g., config :playwright , LaunchOptions , downloads_path : &quot;./doc/downloads&quot; env (optional) WARNING: not yet implemented Environment variables that will be made visible to the browser. Defaults to System.get_env/0 . e.g., config :playwright , LaunchOptions , env : [ &quot;DEBUG&quot; , &quot;true&quot; ] executable_path (optional) A filesystem path to a browser executable to run instead of the bundled browser. If executable_path is a relative path, then it is resolved relative to the current working directory. Chromium-only Playwright can also be used to control the Google Chrome or Microsoft Edge browsers, but it works best with the bundled version of Chromium. There is no guarantee that it will work with any other version. Use executable_path option with extreme caution. e.g., config :playwright , LaunchOptions , executable_path : &quot;/Applications/...&quot; Details for PlaywrightTest Configuration for usage of PlaywrightTest.Case . transport (optional) One of :driver or :websocket , defaults to :driver . Additional configuration may be required depending on the transport configuration: LaunchOptions for the :driver transport ConnectOptions for the :websocket transport e.g., config :playwright , PlaywrightTest , transport : :websocket","ref":"Playwright.Runner.Config.html","title":"Playwright.Runner.Config","type":"module"},{"doc":"Playwright.Browser represents a launched web browser instance managed by Playwright. A Playwright.Browser is created via: Playwright.BrowserType.launch/0 , when using the &quot;driver&quot; transport. Playwright.BrowserType.connect/1 , when using the &quot;websocket&quot; transport.","ref":"Playwright.Browser.html","title":"Playwright.Browser","type":"module"},{"doc":"Create a new BrowserContext for this Browser. A BrowserContext is somewhat equivalent to an &quot;incognito&quot; browser &quot;window&quot;.","ref":"Playwright.Browser.html#new_context/2","title":"Playwright.Browser.new_context/2","type":"function"},{"doc":"Create a new Page for this Browser. A Page is somewhat equivalent to a &quot;tab&quot; in a browser &quot;window&quot;. Note that Playwright.Browser.new_page/1 will also create a new Playwright.BrowserContext . That BrowserContext becomes, both, the parent the Page , and owned by the Page . When the Page closes, the context goes with it.","ref":"Playwright.Browser.html#new_page/1","title":"Playwright.Browser.new_page/1","type":"function"},{"doc":"","ref":"Playwright.Browser.html#t:t/0","title":"Playwright.Browser.t/0","type":"type"},{"doc":"Playwright.BrowserContext provides a way to operate multiple independent browser sessions. If a page opens another page, e.g. with a window.open call, the popup will belong to the parent page's browser context. Playwright allows creation of &quot;incognito&quot; browser contexts with the Playwright.Browser.new_context/1 function.","ref":"Playwright.BrowserContext.html","title":"Playwright.BrowserContext","type":"module"},{"doc":"Close the browser context. All the pages that belong to the browser context will be closed.","ref":"Playwright.BrowserContext.html#close/1","title":"Playwright.BrowserContext.close/1","type":"function"},{"doc":"Create a new Playwright.Page in the browser context. If the context is &quot;owned&quot; by a Playwright.Page (i.e., was created as a side effect of Browser.new_page ), raise an error because there should be a 1-to-1 mapping in that case.","ref":"Playwright.BrowserContext.html#new_page/1","title":"Playwright.BrowserContext.new_page/1","type":"function"},{"doc":"Register a handler for various event types.","ref":"Playwright.BrowserContext.html#on/3","title":"Playwright.BrowserContext.on/3","type":"function"},{"doc":"","ref":"Playwright.BrowserContext.html#t:t/0","title":"Playwright.BrowserContext.t/0","type":"type"},{"doc":"The Playwright.BrowserType module exposes functions that either: launch a new browser instance via a Port connect to a running playwright websocket Examples Open a new chromium via the CLI driver: { connection , browser } = Playwright.BrowserType . launch ( ) Connect to a running playwright instances: { connection , browser } = Playwright.BrowserType . connect ( &quot;ws://localhost:3000/playwright&quot; )","ref":"Playwright.BrowserType.html","title":"Playwright.BrowserType","type":"module"},{"doc":"Connect to a running playwright server.","ref":"Playwright.BrowserType.html#connect/1","title":"Playwright.BrowserType.connect/1","type":"function"},{"doc":"Launch a new local browser.","ref":"Playwright.BrowserType.html#launch/0","title":"Playwright.BrowserType.launch/0","type":"function"},{"doc":"","ref":"Playwright.BrowserType.html#t:t/0","title":"Playwright.BrowserType.t/0","type":"type"},{"doc":"Defines a handle to a DOM element. Playwright.ElementHandle structs may be returned from Playwright.Page functions such as Playwright.Page.query_selector/2 .","ref":"Playwright.ElementHandle.html","title":"Playwright.ElementHandle","type":"module"},{"doc":"Clicks on the given element.","ref":"Playwright.ElementHandle.html#click/1","title":"Playwright.ElementHandle.click/1","type":"function"},{"doc":"Returns the value of an elements attribute, or nil .","ref":"Playwright.ElementHandle.html#get_attribute/2","title":"Playwright.ElementHandle.get_attribute/2","type":"function"},{"doc":"Searches within an element for a DOM element matching the given selector.","ref":"Playwright.ElementHandle.html#query_selector/2","title":"Playwright.ElementHandle.query_selector/2","type":"function"},{"doc":"Returns all text from an element.","ref":"Playwright.ElementHandle.html#text_content/1","title":"Playwright.ElementHandle.text_content/1","type":"function"},{"doc":"","ref":"Playwright.ElementHandle.html#t:t/0","title":"Playwright.ElementHandle.t/0","type":"type"},{"doc":"Playwright.Page represents a web page loaded in the Playwright browser server. Selectors Some functions in this module accept selectors: By default, selectors are assumed to be CSS: a[href=&quot;/foo&quot;] If a selector starts with a single or double quote, it is a text selector: &quot;Login&quot; If a selector starts with // , it is an xpath selector: //html/body Selector types can be made explicit by prefixing with css= , text= , or xpath= : text=&quot;Login&quot; . Playwright supports some useful pseudo-selectors: text: #nav-bar :text(&quot;Contact us&quot;) inclusion: .item-description:has(.item-promo-banner) position: input:right-of(:text(&quot;Username&quot;)) (also left-of , above , below , near ) visibility: .login-button:visible nth match: :nth-match(:text(&quot;Buy&quot;), 3) match any of the conditions: :is(button:has-text(&quot;Log in&quot;), button:has-text(&quot;Sign in&quot;)) More info on Playwright selectors is available online .","ref":"Playwright.Page.html","title":"Playwright.Page","type":"module"},{"doc":"","ref":"Playwright.Page.html#add_cookies/2","title":"Playwright.Page.add_cookies/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#click/2","title":"Playwright.Page.click/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#close/1","title":"Playwright.Page.close/1","type":"function"},{"doc":"","ref":"Playwright.Page.html#context/1","title":"Playwright.Page.context/1","type":"function"},{"doc":"","ref":"Playwright.Page.html#cookies/2","title":"Playwright.Page.cookies/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#eval_on_selector/5","title":"Playwright.Page.eval_on_selector/5","type":"function"},{"doc":"","ref":"Playwright.Page.html#evaluate/3","title":"Playwright.Page.evaluate/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#evaluate_handle/3","title":"Playwright.Page.evaluate_handle/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#fill/3","title":"Playwright.Page.fill/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#get_attribute/3","title":"Playwright.Page.get_attribute/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#goto/2","title":"Playwright.Page.goto/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#goto/3","title":"Playwright.Page.goto/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#on/3","title":"Playwright.Page.on/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#press/3","title":"Playwright.Page.press/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#q/2","title":"Playwright.Page.q/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#query_selector/2","title":"Playwright.Page.query_selector/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#query_selector!/2","title":"Playwright.Page.query_selector!/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#query_selector_all/2","title":"Playwright.Page.query_selector_all/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#route/4","title":"Playwright.Page.route/4","type":"function"},{"doc":"","ref":"Playwright.Page.html#screenshot/2","title":"Playwright.Page.screenshot/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#set_content/2","title":"Playwright.Page.set_content/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#set_viewport_size/2","title":"Playwright.Page.set_viewport_size/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#text_content/2","title":"Playwright.Page.text_content/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#title/1","title":"Playwright.Page.title/1","type":"function"},{"doc":"","ref":"Playwright.Page.html#url/1","title":"Playwright.Page.url/1","type":"function"},{"doc":"","ref":"Playwright.Page.html#wait_for_load_state/2","title":"Playwright.Page.wait_for_load_state/2","type":"function"},{"doc":"","ref":"Playwright.Page.html#wait_for_selector/3","title":"Playwright.Page.wait_for_selector/3","type":"function"},{"doc":"","ref":"Playwright.Page.html#t:t/0","title":"Playwright.Page.t/0","type":"type"},{"doc":"Playwright.Page.Accessibility provides functions for inspecting Chromium's accessibility tree. The accessibility tree is used by assistive technology such as screen readers or switches . Accessibility is a very platform-specific thing. On different platforms, there are different screen readers that might have wildly different output. Rendering engines of Chromium, Firefox and WebKit have a concept of &quot;accessibility tree&quot;, which is then translated into different platform-specific APIs. Accessibility namespace gives access to this Accessibility Tree. Most of the accessibility tree gets filtered out when converting from internal browser AX Tree to Platform-specific AX-Tree or by assistive technologies themselves. By default, Playwright tries to approximate this filtering, exposing only the &quot;interesting&quot; nodes of the tree.","ref":"Playwright.Page.Accessibility.html","title":"Playwright.Page.Accessibility","type":"module"},{"doc":"Captures the current state of the accessibility tree. The result represents the root accessible node of the page. Examples Dumping an entire accessibility tree: iex&gt; page = PlaywrightTest.Page . setup ( ) iex&gt; page ...&gt; |&gt; Playwright.Page . set_content ( &quot;&lt;p&gt;Hello!&lt;/p&gt;&quot; ) ...&gt; |&gt; Playwright.Page.Accessibility . snapshot ( ) %{ children : [ %{ name : &quot;Hello!&quot; , role : &quot;text&quot; } ] , name : &quot;&quot; , role : &quot;WebArea&quot; } Retrieving the name of a focused node: iex&gt; page = PlaywrightTest.Page . setup ( ) iex&gt; body = &quot;&lt;input placeholder=&#39;pick me&#39; readonly /&gt;&lt;input placeholder=&#39;not me&#39; /&gt;&quot; iex&gt; page ...&gt; |&gt; Playwright.Page . set_content ( body ) ...&gt; |&gt; Playwright.Page.Accessibility . snapshot ( ) ...&gt; |&gt; ( &amp; ( Enum . find ( &amp;1 . children , fn e -&gt; e . readonly end ) ) ) . ( ) %{ name : &quot;pick me&quot; , readonly : true , role : &quot;textbox&quot; }","ref":"Playwright.Page.Accessibility.html#snapshot/2","title":"Playwright.Page.Accessibility.snapshot/2","type":"function"},{"doc":"Options given to snapshot/2 :interesting_only - Prune uninteresting nodes from the tree (default: true) :root - The root DOM element for the snapshot (default: page)","ref":"Playwright.Page.Accessibility.html#t:options/0","title":"Playwright.Page.Accessibility.options/0","type":"type"},{"doc":"Snapshot result returned from snapshot/2 :name - A human readable name for the node :description - An additional human readable description of the node, if applicable :role - The role :value - The current value of the node, if applicable :children - Child nodes, if any, if applicable :autocomplete - What kind of autocomplete is supported by a control, if applicable :checked - Whether the checkbox is checked, or &quot;mixed&quot;, if applicable :disabled - Whether the node is disabled, if applicable :expanded - Whether the node is expanded or collapsed, if applicable :focused - Whether the node is focused, if applicable :haspopup - What kind of popup is currently being shown for a node, if applicable :invalid - Whether and in what way this node's value is invalid, if applicable :keyshortcuts - Keyboard shortcuts associated with this node, if applicable :level - The level of a heading, if applicable :modal - Whether the node is modal, if applicable :multiline - Whether the node text input supports multiline, if applicable :multiselectable - Whether more than one child can be selected, if applicable :orientation - Whether the node is oriented horizontally or vertically, if applicable :pressed - Whether the toggle button is checked, or &quot;mixed&quot;, if applicable :readonly - Whether the node is read only, if applicable :required - Whether the node is required, if applicable :roledescription - A human readable alternative to the role, if applicable :selected - Whether the node is selected in its parent node, if applicable :valuemax - The maximum value in a node, if applicable :valuemin - The minimum value in a node, if applicable :valuetext - A description of the current value, if applicable","ref":"Playwright.Page.Accessibility.html#t:snapshot/0","title":"Playwright.Page.Accessibility.snapshot/0","type":"type"},{"doc":"Use PlaywrightTest.Case in an ExUnit test module to start a Playwright server and put it into the test context. Examples defmodule Example.PageTest do use PlaywrightTest.Case describe &quot;features w/ default context&quot; do test &quot;goes to a page&quot; , %{ page : page } do text = page |&gt; Playwright.Page . goto ( &quot;https://playwright.dev&quot; ) |&gt; Playwright.Page . text_content ( &quot;.navbar__title&quot; ) assert text == &quot;Playwright&quot; end end end defmodule Example.BrowserTest do use PlaywrightTest.Case describe &quot;features w/out `page` context&quot; do @tag exclude : [ :page ] test &quot;goes to a page&quot; , %{ browser : browser } do page = browser |&gt; Playwright.Browser . new_page ( ) text = page |&gt; Playwright.Page . goto ( &quot;https://playwright.dev&quot; ) |&gt; Playwright.Page . text_content ( &quot;.navbar__title&quot; ) assert text == &quot;Playwright&quot; # must close test-created `page` Playwright.Page . close ( page ) end end end","ref":"PlaywrightTest.Case.html","title":"PlaywrightTest.Case","type":"module"},{"doc":"PlaywrightTest.Page provides a shorthand for preparing a Playwright.Page . This is useful, for example, in making doctest examples more concise.","ref":"PlaywrightTest.Page.html","title":"PlaywrightTest.Page","type":"module"},{"doc":"","ref":"PlaywrightTest.Page.html#setup/0","title":"PlaywrightTest.Page.setup/0","type":"function"},{"doc":"NOTE: This package is currently in &quot;preview&quot;. The features are not yet at parity with other Playwright implementations. Once playwright-elixir is at or near parity with playwright , the version number will be updated to mirror the supported version of playwright .","ref":"README.html","title":"Playwright for Elixir","type":"extras"},{"doc":"Playwright is an Elixir library to automate Chromium, Firefox and WebKit with a single API. Playwright is built to enable cross-browser web automation that is ever-green , capable , reliable and fast . See how Playwright is better .","ref":"README.html#overview","title":"Playwright for Elixir - Overview","type":"extras"},{"doc":"The package can be installed by adding playwright to your list of dependencies in mix.exs : def deps do [ { :playwright , &quot;~&gt; 0.1.1-preview&quot; } ] end","ref":"README.html#installation","title":"Playwright for Elixir - Installation","type":"extras"},{"doc":"README Getting started API Reference","ref":"README.html#usage","title":"Playwright for Elixir - Usage","type":"extras"},{"doc":"defmodule Test.ExampleTest do use ExUnit.Case , async : true use PlaywrightTest.Case describe &quot;Navigating to playwright.dev&quot; do test &quot;works&quot; , %{ browser : browser } do page = browser |&gt; Playwright.Browser . new_page ( ) text = page |&gt; Playwright.Page . goto ( &quot;https://playwright.dev&quot; ) |&gt; Playwright.Page . text_content ( &quot;.navbar__title&quot; ) assert text == &quot;Playwright&quot; Playwright.Page . close ( page ) end end end","ref":"README.html#example","title":"Playwright for Elixir - Example","type":"extras"},{"doc":"Getting started Clone the repo Run bin/dev/doctor and for each problem, either use the suggested remedies or fix it some other way Run bin/dev/test and then bin/dev/start to make sure everything is working Day-to-day Get latest code: bin/dev/update Run tests: bin/dev/test Start server: bin/dev/start Run tests and push: bin/dev/shipit","ref":"README.html#contributing","title":"Playwright for Elixir - Contributing","type":"extras"},{"doc":"...","ref":"getting-started.html","title":"Getting started","type":"extras"}]